%define subrel 2

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	XDG user dirs support for GNOME/GTK+
Name:		xdg-user-dirs-gtk
Version:	0.10
Release:	%mkrel 8
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 0.5-2mdv add KDE info to desktop file
Patch0:		xdg-user-dirs-gtk-0.9-kde.patch
BuildRequires:	xdg-user-dirs
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	xdg-user-dirs

%description
xdg-user-dirs-gtk is a companion to xdg-user-dirs that integrates it into
the Gnome desktop and Gtk+ applications.

It gets run during login and does two things:
* Tracks changes of locale and prompts the user so the directories
  can be changed.
* Creates a default gtk bookmarks file if there is none, based
  on a set of xdg user dirs.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/autostart
install -m644 user-dirs-update-gtk.desktop %{buildroot}%{_datadir}/autostart

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk <<EOF
#!/usr/bin/sh
# to be sourced

case "\${1##*/}" in
   GNOME|gnome-session|startgnome_classic| \\
   KDE|startkde|Plasma*|startplasma-x11| \\
   cinnamon-session*| \\
   xfce4|startxfce4| \\
   lxqt|startlxqt| \\
   lxde|startlxde| \\
   openbox|startopenbox)
   	;;
   *)
   	/usr/bin/xdg-user-dirs-gtk-update || :
   	;;
esac
EOF

chmod +x %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop
%config(noreplace) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 
%{_bindir}/xdg-user-dirs-gtk-update
%{_datadir}/autostart/user-dirs-update-gtk.desktop




%changelog
* Wed Apr 28 2021 ghibo <ghibo> 0.10-8.2.mga8
+ Revision: 1720293
- Strenghten DESKTOP name detection so to strip full /usr/bin PATH from DESKTOP names.
- Switch script to be executed as "sourced" instead of background '&' so to avoid creation of zombies (bug #27362).
- Don't call xdg-user-dirs-gtk-update with exec which causes Xsession to exit after its termination.
- Don't use intermediate DESKTOP var for argument parsing, so to not alter it and export to other sourced scripts.
- Add better detecting for Plasma, startplasma-x11, gnome-session, gnome-classic desktops.
- Add lxqt, lxde, openbox to the list of DEs not calling xdg-user-dirs-gtk-update on startup.
- Re-organize desktop blacklist (cosmetic).
- Add cinnamon-session to DE blacklists for xdg-user-dirs-gtk.
- Continuation lines needs to be quoted in a here-documents.

* Wed Apr 22 2020 ovitters <ovitters> 0.10-8.mga8
+ Revision: 1570817
- rebuild for to test removal of deprecated macros
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.10-7.mga8
+ Revision: 1518617
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.10-6.mga7
+ Revision: 1301836
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.10-5.mga6
+ Revision: 944452
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10-4.mga5
+ Revision: 750953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10-3.mga5
+ Revision: 690580
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10-2.mga4
+ Revision: 525256
- Mageia 4 Mass Rebuild

* Wed May 29 2013 luigiwalser <luigiwalser> 0.10-1.mga4
+ Revision: 432786
- remove patch1 (should not still be needed)
- 0.10

* Mon Jan 14 2013 umeabot <umeabot> 0.9-2.mga3
+ Revision: 386715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 14 2012 wally <wally> 0.9-1.mga3
+ Revision: 270771
- update BRs
- rediff P0
+ ovitters <ovitters>
- fix source url
- new version 0.9

* Tue Feb 14 2012 ovitters <ovitters> 0.8-6.mga2
+ Revision: 208808
- clean spec

* Tue Jan 11 2011 blino <blino> 0.8-5.mga1
+ Revision: 6400
- imported package xdg-user-dirs-gtk


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-5mdv2011.0
+ Revision: 608198
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-4mdv2010.1
+ Revision: 524412
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.8-3mdv2009.1
+ Revision: 351209
- rebuild

* Fri Sep 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-2mdv2009.0
+ Revision: 285918
- new license policy
- get rid of redefines
- update urls
- spec file clean

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2009.0
+ Revision: 281926
- fix buildrequires
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.7-3mdv2009.0
+ Revision: 226027
- rebuild

* Mon Mar 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-2mdv2008.1
+ Revision: 188407
- add support for Xfce
- spec file clean

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2008.1
+ Revision: 165918
- new version
- rediff patch 0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-2mdv2008.0
+ Revision: 93665
- Update patch1 to fix crash on x86-64 (we were lucky it didn't crash on x86, it should have), bug report from Francois Bandet

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2008.0
+ Revision: 68371
- new version

* Fri Aug 03 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-2mdv2008.0
+ Revision: 58610
- Patch0: add KDE info to desktop file
- Patch1: detect mdk-folders entries in gtk-bookmarks and replace them with standard entries ; remove .directories in those mdk folders when translations changes
- add xinit.d script for desktop environment not support XDG autostart

* Mon May 14 2007 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2008.0
+ Revision: 26652
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2008.0
+ Revision: 14169
- fix buildrequires
- Import xdg-user-dirs-gtk



* Wed Apr 11 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2007.1
- initial package
